curl -X POST https://api.rotavision.com/v1/orchestrate/workflows/wf_abc123/run \
-H "Authorization: Bearer rv_live_..." \
-H "Content-Type: application/json" \
-d '{
"inputs": {
"ticket": "I have been waiting for my refund for 2 weeks. Order #12345. This is unacceptable!"
}
}'
{
"id": "exec_xyz789",
"workflow_id": "wf_abc123",
"status": "running",
"current_step": "classifier",
"progress": {
"completed": 0,
"total": 3
},
"inputs": {
"ticket": "I have been waiting for my refund for 2 weeks..."
},
"created_at": "2026-02-01T10:30:00Z"
}
Orchestrate
Run Workflow
Execute a workflow
POST
/
orchestrate
/
workflows
/
{workflow_id}
/
run
curl -X POST https://api.rotavision.com/v1/orchestrate/workflows/wf_abc123/run \
-H "Authorization: Bearer rv_live_..." \
-H "Content-Type: application/json" \
-d '{
"inputs": {
"ticket": "I have been waiting for my refund for 2 weeks. Order #12345. This is unacceptable!"
}
}'
{
"id": "exec_xyz789",
"workflow_id": "wf_abc123",
"status": "running",
"current_step": "classifier",
"progress": {
"completed": 0,
"total": 3
},
"inputs": {
"ticket": "I have been waiting for my refund for 2 weeks..."
},
"created_at": "2026-02-01T10:30:00Z"
}
Request
The workflow ID to run.
Input variables for the workflow.
Runtime configuration overrides.
URL for completion webhook.
curl -X POST https://api.rotavision.com/v1/orchestrate/workflows/wf_abc123/run \
-H "Authorization: Bearer rv_live_..." \
-H "Content-Type: application/json" \
-d '{
"inputs": {
"ticket": "I have been waiting for my refund for 2 weeks. Order #12345. This is unacceptable!"
}
}'
{
"id": "exec_xyz789",
"workflow_id": "wf_abc123",
"status": "running",
"current_step": "classifier",
"progress": {
"completed": 0,
"total": 3
},
"inputs": {
"ticket": "I have been waiting for my refund for 2 weeks..."
},
"created_at": "2026-02-01T10:30:00Z"
}
⌘I

